/*****************************************
 * Small Assignment 2: Processing and Turtle Geometry
 * Name:    Marcos Lopez
 * E-mail:  marctlopez@salud.unm.edu or Comraadito@unm.edu
 * Course:      CS491, Computational Fabrication
 * Submitted:    1/31/2022
 *
 * This program includes several different features.
* To plot a polar plot, press the 1 key. Changes size with your Cursor's Y position.
* To draw a circle with a turtle, press the 2 key. Size of radius can be changed by entering the number into function call.
* To draw a flower, press the 3 key. 
* To draw a flower with a different amount of petals, press the 4 key
* To draw the first cool turtle path, press the 5 key.
* To draw the first second turtle path, press the 6 key.
* To clear the board, press the 7 key.
* To draw the first third turtle path, press the 8 key. Press this one multiple times for a super cool metropolitan map look.
* clicking the mouse key will cycle through them all. Though CenteredCircle is better when pressing 2.
***********************************************/

import Turtle.*;
Turtle t;
Turtle c;
int number = 1;
int skipThrough = 0;
int plotStart = 0;
void setup(){
 background(0);
 stroke(255);
 fill(0, 30);
 size(800,800);
 t = new Turtle(this);
 c = new Turtle(this);
 t.drawTurtle();
}

void draw(){
  
  if(plotStart == 1){
    background(0);
    translate(width/2,height/2);
 plot();
 translate(0,0);
  }
  
}


void mouseClicked(){
  background(0);
  stroke(255);
  plotStart = 0;
  if(skipThrough == 0){
   
   plotStart = 1;
   skipThrough++;
   return;
  }
  if(skipThrough == 1){
   centeredCircle(100);
   skipThrough++;
   return;
  }
  if(skipThrough == 2){
   Petals(20); 
   skipThrough++;
   return;
  }
  if(skipThrough == 3){
   Petals(6); 
   skipThrough++;
   return;
  }
  if(skipThrough == 4){
   turtleDesignOne(10);
   skipThrough++;
   return;
  }
  if(skipThrough == 5){
   turtleDesignTwo();
   skipThrough++;
   return;
  }
  if(skipThrough == 6){
   turtleDesignThree();
   skipThrough = 0;
   return;
  }
}



void keyPressed(){
 if(key == 's'){
  save("screenshot polar plot 2.jpg");
  number++;
 }
  if(key == '1'){
    translate(width/2,height/2);
    background(0);
    plot();
    translate(0,0);
  }
  if(key == '2'){
    background(0);
   centeredCircle(100);
   
  }
  if(key == '3'){
    background(0);
   Petals(20); 
   
  }
  if(key == '4'){
    background(0);
   Petals(6); 
   
  }
  if(key == '5'){
    background(0);
   turtleDesignOne(10);

  }
  if(key == '6'){
    background(0);
   turtleDesignTwo();
 
  }
  if(key == '7'){
    background(0);
  }
  if(key == '8'){
   turtleDesignThree();
   
  }
}
